List Webhooks
List all your existing webhook destinations.
OpenAPI
````yaml get /api/v2/webhooks
openapi: 3.0.0
info:
version: 2.0.0
title: GetVoiceBot API
description: GetVoiceBot API Documentation
servers:
- url: https://api.getvoicebot.com
description: GetVoiceBot Production
variables:
baseUrl:
default: api.getvoicebot.com
description: Production API Root
security: []
tags:
- name: Agents
- name: Inbound Email
description: Control which senders may create inbound email work for an Agent.
- name: Features
description: Inspect capabilities available within an account hierarchy.
- name: Conversation Logs
description: Query conversation activity and calculate account-level metrics.
- name: Computer Agents
description: Set up, configure, inspect, and manage GetVoiceBot Computer Agents.
- name: Computer Agent Sessions
description: View and reset Computer Agent sessions.
- name: Accounts
- name: Agent Templates
description: Create, manage, and apply reusable Agent configurations.
paths:
/api/v2/webhooks:
get:
tags:
- Webhooks
summary: List Webhooks
description: List all your existing webhook destinations.
responses:
'200':
description: Successful response
content:
application/json:
schema:
type: object
properties:
success:
type: boolean
example: true
message:
type: string
example: Success
webhooks:
type: array
items:
type: object
properties:
userId:
description: User Id
type: number
example: 3
label:
description: Friendly label for webhook
type: string
example: Zapier Hook
timestamp:
description: Timestamp when created
type: number
example: 1678829072
url:
description: Webhook URL
type: string
example: https://hooks.zapier.com/hooks/catch/123456/abcdef
type:
description: Webhook type
type: string
example: conversation
'401':
description: Unauthorized
security:
- apiKeyAuth: []
components:
securitySchemes:
apiKeyAuth:
type: apiKey
in: query
name: token
description: GetVoiceBot API Token
````
